# Request a download order for action audit log entries

Creates a download order for action audit log entries.

Endpoint: POST /api/audit/action/generate
Version: v1.0
Security: OAuth2

## Security:

  - `OAuth2` (unknown)
    oauth2

## Request body:

  - `application/json` (unknown)
    The parameters for generating the download order for action audit logs.

## Request fields (application/json):

  - `audit_type` (string)
    Represents the type of audit event. IMPORTANT: Do not change the number of existing entries or their order because this will break compatibility with older versions.
    Enum: "Trigger", "Action", "Scripting", "Business", "Raw", "Edge", "PublicLink", "RawOperational", "DataPackageExport", "DataPackageImport"

  - `format` (string)
    Enum: "CSV", "Json"

  - `from` (string)

  - `to` (string)

  - `filter` (object)

  - `raw` (string)

  - `fullText` (string)

  - `logType` (array)

## Response 202:

  - `202` (unknown)
    Accepted

## Response 400:

  - `400` (unknown)
    Invalid request or unsupported file format

## Response 401:

  - `401` (unknown)
    Unauthorized request

